DSXchange: DataStage and IBM Websphere Data Integration Forum
View next topic
View previous topic
Add To Favorites
Author Message
lazyscar
Participant



Joined: 16 Feb 2013
Posts: 4

Points: 42

Post Posted: Mon Jan 29, 2018 12:48 am Reply with quote    Back to top    

DataStage® Release: 8x
Job Type: Parallel
OS: Unix
I need to use DataStage 8.7 to connect to Oracle 12.2.0.1. IBM told us to upgrade to 11.5. But I can't find a 32-bit 11.5 client , they only have 64-bit.
All of our working PC are 32-bit Windows 7.

So, is there anyone using 8.7 to connect to Oracle 12 successfully?How is the performance?

Or can I use 8.7 ODBC to connect to Oracle 12?

Thanks!
chulett

Premium Poster


since January 2006

Group memberships:
Premium Members, Inner Circle, Server to Parallel Transition Group

Joined: 12 Nov 2002
Posts: 42585
Location: Denver, CO
Points: 219186

Post Posted: Mon Jan 29, 2018 9:02 am Reply with quote    Back to top    

They suggested you upgrade not because that older version won't work, but because it is... really old... and (I assume) no longer officially supported. While you could use ODBC I don't see the need, stick with native Oracle connectivity.

_________________
-craig

And I'm hovering like a fly, waiting for the windshield on the freeway...
Rate this response:  
Not yet rated
asorrell
Site Admin

Group memberships:
Premium Members, DSXchange Team, Inner Circle, Server to Parallel Transition Group

Joined: 04 Apr 2003
Posts: 1671
Location: Colleyville, Texas
Points: 22748

Post Posted: Mon Jan 29, 2018 9:28 am Reply with quote    Back to top    

Yup - 8.7 went "EOS" (End of Service) on April 30, 2017.

I checked the Oracle client / database compatibility matrix which says the Oracle 11.2 client is certified to access the Oracle 12 database.

If you could at least upgrade to 9.1 , you might have a chance. IIS 9.1 did support the 11g client, which supposedly can be used to connect to a 12c database. It also is the last release that supports 32-bit clients on Windows 7.

The good news is that IBM still supports 9.1 for a few more months...
http://www-01.ibm.com/support/docview.wss?uid=swg3c509323v13428u57 .

That's your best bet.

_________________
Andy Sorrell
Certified DataStage Consultant
IBM Analytics Champion 2009 - 2017
Rate this response:  
Not yet rated
qt_ky



Group memberships:
Premium Members

Joined: 03 Aug 2011
Posts: 2775
Location: USA
Points: 20907

Post Posted: Mon Jan 29, 2018 10:14 am Reply with quote    Back to top    

We use to run DataStage 8.7 jobs on AIX using an Oracle 11 client to read and write against Oracle 12 databases. No performance issues. We also upgraded to DataStage 11.x prior to the 8.7 hitting the end of its support life cycle in April 2017. And yes, the DataStage 11.x client requires 64-bit Windows.

_________________
Choose a job you love, and you will never have to work a day in your life. - Confucius
Rate this response:  
Not yet rated
Display posts from previous:       

Add To Favorites
View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum



Powered by phpBB © 2001, 2002 phpBB Group
Theme & Graphics by Daz :: Portal by Smartor
All times are GMT - 6 Hours